/v1.0/accountSettings/deviceGroupsRead-onlyGet list of child device groups, visible to current account.
Parameters
offsetquerynumberrequiredThe number of device groups to skip before starting to collect the result set. Will be ignored if export param is specified.
limitquerynumberrequiredThe number of device groups to return. Will be ignored if export param is specified.
sortquerystringrequiredSort field
Values: DESCRIPTION, PARENTCORPID, CITY, STATE, ZIP, DAILY_LIMIT, MONTHLY_LIMIT
sortDirquerystringrequiredSort direction
Values: ASC, DESC
searchValuequerystringThe filter that can be used to search on the following fields - Group Description, Parent Group, State/Province, Street, City, Zip/Postal Code.
exportquerystringExport format type. Currently only CSV is accepted.
Values: CSV
columnsquerystringComma separated list of columns for CSV export. Values - DESCRIPTION, PARENT_CORP_DESCRIPTION, CITY, STATE, ZIP, MONTHLY_LIMIT, DAILY_LIMIT
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/accountSettings/deviceGroups?offset=0&limit=25&sort=LAST_30_DAYS_USED&sortDir=DESC&searchValue=Bus&export=CSV&columns=MDN%2CSTATUS%2CIMEI%2CLAST_30_DAYS_USED" \
-H "Authorization: Bearer $SENTINEL_TOKEN"